Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358335 - NetworkManager log messages are missing in /tmp/syslog
Summary: NetworkManager log messages are missing in /tmp/syslog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Lubomir Rintel
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-20 14:31 UTC by Radek Vykydal
Modified: 2016-11-03 19:27 UTC (History)
8 users (show)

Fixed In Version: NetworkManager-1.4.0-0.6.beta1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1369439 (view as bug list)
Environment:
Last Closed: 2016-11-03 19:27:38 UTC


Attachments (Terms of Use)
output of journalctl -u NetworkManager from anaconda (deleted)
2016-08-19 08:37 UTC, Radek Vykydal
no flags Details
/tmp/syslog missing NM messages (deleted)
2016-08-19 08:38 UTC, Radek Vykydal
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC
Red Hat Bugzilla 1369439 None None None Never

Internal Links: 1369439

Description Radek Vykydal 2016-07-20 14:31:49 UTC
During the development phase of RHEL 7.3 NetworkManager messages disappeared from /tmp/syslog.

Comment 1 Radek Vykydal 2016-07-20 14:37:17 UTC
Dan, any hint what might be the cause? Or what we need to configure to bring it back?

Comment 3 Lubomir Rintel 2016-07-28 09:34:00 UTC
Our fault.
Stealing this.

Comment 4 Lubomir Rintel 2016-07-28 09:39:27 UTC
For QA: We used to log to syslog in 7.2, but added an option to log to journal in 7.3 and unintentionally switched the default.

Not a big deal in the installed system since journald listens on syslog socket there and rsyslogd sucks in the logs from journal; but makes difference in the installer environment.

Comment 5 Radek Vykydal 2016-08-17 08:19:05 UTC
Any update?
Requesting additional logs from reporters due to this BZ makes working on 7.3 bugs harder to Anaconda team.

Comment 7 Radek Vykydal 2016-08-18 11:27:46 UTC
The 1:1.4.0-0.4.git20160727.9446481f build does not fix the problem for me.

I've tested with http://download.eng.brq.redhat.com/pub/rhel/rel-eng/RHEL-7.3-20160811.0/compose/Server/x86_64/os/ having newer build NetworkManager-1.4.0-0.5.beta1.el7 but it doesn't not work with the 1:1.4.0-0.4.git20160727.9446481f either.

Comment 8 Thomas Haller 2016-08-18 12:33:53 UTC
(In reply to Radek Vykydal from comment #7)
> The 1:1.4.0-0.4.git20160727.9446481f build does not fix the problem for me.
> 
> I've tested with
> http://download.eng.brq.redhat.com/pub/rhel/rel-eng/RHEL-7.3-20160811.0/
> compose/Server/x86_64/os/ having newer build
> NetworkManager-1.4.0-0.5.beta1.el7 but it doesn't not work with the
> 1:1.4.0-0.4.git20160727.9446481f either.

oh right... there was a bug in the fix :(

1.4.0-0.6 will be it.

Comment 10 Radek Vykydal 2016-08-19 08:37:47 UTC
Created attachment 1192071 [details]
output of journalctl -u NetworkManager from anaconda

Current nigthly http://download.eng.brq.redhat.com/pub/rhel/nightly/RHEL-7.3-20160818.n.0/compose/Server/x86_64/os/ with NetworkManager 1.4.0-0.6.beta1.el7 still does not seem to log into syslog in installer. I am attaching output of journalctl -u NetworkManager.

Is there any way we can help to debug the issue?
Perhaps there may be some problem also on Anaconda side?

Comment 11 Radek Vykydal 2016-08-19 08:38:35 UTC
Created attachment 1192072 [details]
/tmp/syslog missing NM messages

Comment 12 Thomas Haller 2016-08-19 10:28:37 UTC
(In reply to Radek Vykydal from comment #11)
> Created attachment 1192072 [details]
> /tmp/syslog missing NM messages

no idea, why it still fails. It really shouldn't.
Back to Lubomir :(

Comment 13 Radek Vykydal 2016-08-23 08:33:39 UTC
We probably need to update our rsyslog configuration in installer. It seems that we are hitting a journald, NM, syslogd services start race condition in 7.3 in installer. Looking into it.

Comment 14 Thomas Haller 2016-08-23 08:40:27 UTC
The bug seems to be fixed on NetworkManager's side with NetworkManager-1.4.0-0.6.beta1.el7 release.

Waiting for anaconda to sort out the rsyslog configuration...

Comment 15 Radek Vykydal 2016-08-23 12:39:36 UTC
(In reply to Thomas Haller from comment #14)
> The bug seems to be fixed on NetworkManager's side with
> NetworkManager-1.4.0-0.6.beta1.el7 release.
> 
> Waiting for anaconda to sort out the rsyslog configuration...

This will be fixed in lorax: bug 1369439

Comment 17 Vladimir Benes 2016-09-15 13:34:25 UTC
NM now correctly logs into syslog. It can be read afterwards in /var/log/anaconda/syslog.

Comment 19 errata-xmlrpc 2016-11-03 19:27:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.